FROM registry.fedoraproject.org/fedora-minimal:latest

COPY dist/*.tar.gz /tmp

RUN dnf5 -y update && \
    dnf5 install -y tar gzip python3 python3-pip && \
    cd /tmp && \
    tar xvzf gitlab_compliance_tool-0.1.1.tar.gz && \
    cd gitlab_compliance_tool-0.1.1 && \
    pip install . && \
    pip freeze > ~/dependencies.txt

ENTRYPOINT ["python3", "/usr/local/bin/gct"]
